#!/bin/sh
# Run this script as postgres user

TARGET="/var/backups"
TIMEVAL=`date +%Y-%m-%d`
DATABASES=`/usr/bin/psql -lwnqt 2>&1 | grep '|' | cut -d'|' -f1 | sed -e 's/[ |]//g'`

for db in $DATABASES; do
	echo "Backing up $db"
        /usr/bin/pg_dump -w --inserts $db > "${TARGET}/$db-${TIMEVAL}.sql"
done
