#!/bin/sh

HOMELOC=/data/home

for HOMEDIR in `find $HOMELOC -iname core*`; do
        rm -f $HOMEDIR > /dev/null 2>&1
done

for FILE in `find $HOMELOC -iname *.exe`; do
        rm -f $FILE > /dev/null 2>&1
done

for FILE in `find $HOMELOC -iname *.msi`; do
        rm -f $FILE > /dev/null 2>&1
done

for HOMEDIR in `ls -1 $HOMELOC`; do
        if [ -d "$HOMELOC/$HOMEDIR" ]; then
                rm -f $HOMELOC/$HOMEDIR/core* > /dev/null 2>&1
                rm -rf $HOMELOC/$HOMEDIR/.Trash/* > /dev/null 2>&1
                rm -rf $HOMELOC/$HOMEDIR/.nx > /dev/null 2>&1
                rm -rf $HOMELOC/$HOMEDIR/.local/share/Trash/info/* > /dev/null 2>&1
                rm -rf $HOMELOC/$HOMEDIR/.local/share/Trash/files/* > /dev/null 2>&1
                rm -rf $HOMELOC/$HOMEDIR/.thumbnails > /dev/null 2>&1
                rm -rf $HOMELOC/$HOMEDIR/.openoffice.org > /dev/null 2>&1

                for PROFILEDIR in `ls -1A $HOMELOC/$HOMEDIR/.mozilla/firefox`; do
                        if [ -d "$HOMELOC/$HOMEDIR/.mozilla/firefox/$PROFILEDIR" ]; then
                                rm -rf "$HOMELOC/$HOMEDIR/.mozilla/firefox/$PROFILEDIR/Cache/*"
                        fi
                done
        fi
done

#cleanup files greater than a specific site
#find $HOMELOC -type f -size +10M -delete

for homedir in `repquota -a | grep days | grep -v Block | awk '{ print $1; } '`; do
        rm -rf $HOMELOC/$homedir > /dev/null 2>&1
done

for FILE in `find $HOMELOC -iname *.pif`; do
        rm -f $FILE > /dev/null 2>&1
done

for FILE in `find $HOMELOC -iname *.scr`; do
        rm -f $FILE > /dev/null 2>&1
done

for FILE in `find $HOMELOC -iname *.cmd`; do
        rm -f $FILE > /dev/null 2>&1
done
